Subject: bug#58373: Support image-type `jpg'

From: Thuna <[email-masked]>
Date: Sat, 08 Oct 2022 03:43:14 +0200

Currently, `jpg' is not in image-types, despite `jpeg' being in it.
Similarly, image descriptors of the form `(image :type jpg...)' do not
display properly, while those of the form `(image :type jpeg...)' do.

Changing the type from jpg to jpeg (for a jpg image) does display the
image, so it's not like Emacs is incapable of doing it; I imagine this
should be a trivial fix.